Skip to main content
GET
/
v1
/
supply-demand
Get supply and demand time series
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/supply-demand/ \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "period": "<string>",
      "issuances": 123,
      "retirements": 123
    }
  ],
  "totals": {
    "issuances": 123,
    "retirements": 123
  }
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

aggregation
enum<string>
default:monthly

Time aggregation level

Available options:
monthly,
quarterly,
yearly
project_id
string[] | null

Filter by project ID(s)

registry
enum<string>[] | null

Registry name

Available options:
verra,
gold-standard,
american-carbon-registry,
climate-action-reserve,
art-trees,
isometric,
puro-earth,
plan-vivo,
none
country
string[] | null

Country name

protocol
string[] | null

Protocol name

category
string[] | null

Category name

is_compliance
boolean | null

Whether project is an ARB project

listed_at_from

Format: YYYY-MM-DD

listed_at_to

Format: YYYY-MM-DD

issued_min
integer | null

Minimum number of issued credits

issued_max
integer | null

Maximum number of issued credits

retired_min
integer | null

Minimum number of retired credits

retired_max
integer | null

Maximum number of retired credits

project_type
string[] | null

Project type

proponent
string[] | null

Project proponent/developer name

sdg_goals
integer[] | null

UN SDG goals (1-17). Multiple values = AND filter (must have ALL selected goals)

certifications
string[] | null

Specific certification labels (e.g., ccb-gold, ccb-biodiversity-gold, corsia). Multiple values = OR filter

corc_durability
string[] | null

Puro.earth CORC durability (100+ or 1000+). Multiple values = OR filter

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_authorization_types
string[] | null

Article 6 authorization types: NDC Use, Intl mitigation purposes, Other purposes

transaction_type
string[] | null

Transaction type

vintage
integer[] | null

Vintage

transaction_date_from

Format: YYYY-MM-DD

transaction_date_to

Format: YYYY-MM-DD

quantity_min
integer | null

Minimum transaction quantity

quantity_max
integer | null

Maximum transaction quantity

Response

Time series of issuance and retirement volumes with totals

data
SupplyDemandDataPoint · object[]
required
totals
SupplyDemandTotals · object
required